'''
Принимает строку и возвращает True, если переданная строка начинается 
с букв «Q» или «R» и заканчивается любой из гласных «A», «E», «I», «U» или «O». 
Регистр во время проверок не должен иметь значения

Во всех остальных случаях нужно возвращать False
'''

square = lambda x, y: x**2 + y**2

adding_10 = lambda x: x + 10

starts_with = lambda string: string[0] == 'W'

check_word = lambda string: string.upper().startswith(('Q', 'R')) and string.upper().endswith(('A', 'E', 'I', 'U', 'O'))

is_leap = lambda year: (year%4 == 0 and year%100 != 0) or year%400 == 0

sale_lambda = lambda x: x*0.9 if x > 50 else x

average = lambda *args: sum(args)/len(args)



def main():
    # print(check_word('QwertyO'))
    average(1, 2, 3)


if __name__ == '__main__':
    main()